org.apache.geode.cache.control

## Interface RebalanceFactory

-     public interface RebalanceFactory

  Factory for defining and starting a `RebalanceOperation`.
  Since:
    GemFire 6.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `RebalanceFactory` | `excludeRegions(java.util.Set<java.lang.String> regions)` Exclude specific regions from the rebalancing operation.
    `RebalanceFactory` | `includeRegions(java.util.Set<java.lang.String> regions)` Specify which regions to include in the rebalance operation.
    `RebalanceOperation` | `simulate()` Simulates a rebalance of the GemFire controlled cache resources on this member.
    `RebalanceOperation` | `start()` Asynchronously starts a new rebalance operation.

- - ### Method Detail

    - #### includeRegions

          RebalanceFactory includeRegions(java.util.Set<java.lang.String> regions)

      Specify which regions to include in the rebalance operation. The default, `null`, means all regions should be rebalanced. Includes take precedence over excludes.``
      Parameters:
        `regions` - A set containing the names of regions to include.
      Since:
        GemFire 6.5

    - #### excludeRegions

          RebalanceFactory excludeRegions(java.util.Set<java.lang.String> regions)

      Exclude specific regions from the rebalancing operation. The default, `null`, means don't exclude any regions.``
      Parameters:
        `regions` - A set containing the names of regions to exclude.
      Since:
        GemFire 6.5

    - #### start

          RebalanceOperation start()

      Asynchronously starts a new rebalance operation. Only the GemFire controlled cache resources used by this member will be rebalanced. Operation may queue as needed for resources in contention by other active rebalance operations.

    - #### simulate

          RebalanceOperation simulate()

      Simulates a rebalance of the GemFire controlled cache resources on this member. This operation will not make any actual changes. It will only produce a report of what the results would have been had this been a real rebalance operation.